<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>The Book List</title>
    </head>
    <body>
        <h1>
            My Book List
        </h1>
    </body>
    <script>
        let books = [
        {
            title: 'The Design of EveryDay Things',
            author: 'Don Norman',
            alreadyRead: false,
            img: 'https://m.media-amazon.com/images/I/51Dl6lXXesL.jpg'
        }, {
            title: 'The Most Human Human',
            author: 'Brian Christian',
            alreadyRead: true,
            img: 'https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1295465264l/8884400.jpg'
        }
        ];

        let uList=document.createElement('ul');
        for(let i=0; i<books.length; i++){
            let list=document.createElement('li');
            let image=document.createElement('img');
            image.src=books[i].img;
            list.appendChild(image);
            let info=document.createTextNode(books[i].title+' by ' +books[i].author);
            list.appendChild(info);
            if(books[i].alreadyRead){
                list.style.color='red';
            }
            uList.appendChild(list);
        }
        document.body.appendChild(uList);
    </script>
</html>